package com.bonus.sgzb.material.domain;

import com.bonus.sgzb.common.core.web.domain.BaseEntity;
import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.List;

/**
 * 新购验收任务
 * 
 * @author bonus
 * @date 2023-12-10
 */
public class PurchaseCheckInfo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 任务ID */
    @ApiModelProperty(value = "任务ID")
    private Long taskId;

    /** 采购日期 */
    @ApiModelProperty(value = "采购日期")
    private String purchaseTime;

    /** 到货日期 */
    @ApiModelProperty(value = "到货日期")
    private String arrivalTime;

    /** 采购员 */
    @ApiModelProperty(value = "采购员")
    private Long purchaser;

    /** 数据所属组织 */
    @ApiModelProperty(value = "数据所属组织")
    private Integer companyId;

    @ApiModelProperty(value = "采购单号")
    private String code;

    // 采购状态
    @ApiModelProperty(value = "采购状态")
    private String purchasingStatus;

    // 采购状态
    @ApiModelProperty(value = "采购机具设备")
    private String purchasingTypeName;

    @ApiModelProperty(value = "新购验收任务详情")
    private List<PurchaseCheckDetails> checkDetailsList;

    public void setTaskId(Long taskId) 
    {
        this.taskId = taskId;
    }

    public Long getTaskId() 
    {
        return taskId;
    }
    public void setPurchaseTime(String purchaseTime) 
    {
        this.purchaseTime = purchaseTime;
    }

    public String getPurchaseTime() 
    {
        return purchaseTime;
    }
    public void setArrivalTime(String arrivalTime) 
    {
        this.arrivalTime = arrivalTime;
    }

    public String getArrivalTime() 
    {
        return arrivalTime;
    }
    public void setPurchaser(Long purchaser) 
    {
        this.purchaser = purchaser;
    }

    public Long getPurchaser() 
    {
        return purchaser;
    }
    public void setCompanyId(Integer companyId)
    {
        this.companyId = companyId;
    }

    public Integer getCompanyId()
    {
        return companyId;
    }

    public List<PurchaseCheckDetails> getCheckDetailsList() {
        return checkDetailsList;
    }

    public void setCheckDetailsList(List<PurchaseCheckDetails> checkDetailsList) {
        this.checkDetailsList = checkDetailsList;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getPurchasingStatus() {
        return purchasingStatus;
    }

    public void setPurchasingStatus(String purchasingStatus) {
        this.purchasingStatus = purchasingStatus;
    }

    public String getPurchasingTypeName() {
        return purchasingTypeName;
    }

    public void setPurchasingTypeName(String purchasingTypeName) {
        this.purchasingTypeName = purchasingTypeName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("taskId", getTaskId())
            .append("purchaseTime", getPurchaseTime())
            .append("arrivalTime", getArrivalTime())
            .append("purchaser", getPurchaser())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .append("companyId", getCompanyId())
            .toString();
    }
}
